#
# Conditional build:
%bcond_with	tests	# perform "make test" (require root privilleges)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Pcap
Summary:	Net::Pcap - Perl binding to the LBL pcap(3) packet capture library
Summary(pl.UTF-8):	Net::Pcap - dowiązanie Perla do biblioteki przechwytywania pakietów LBL pcap(3)
Name:		perl-Net-Pcap
Version:	0.17
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fbe911ba5f57d5ba43494434ffb828a0
URL:		http://search.cpan.org/dist/Net-Pcap/
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::Pcap module is a Perl binding to the LBL pcap(3) packet
capture library.

%description -l pl.UTF-8
Moduł Net::Pcap jest dowiązaniem Perla do biblioteki przechwytywania
pakietów LBL pcap(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	CCFLAGS="%{rpmcflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/pcapinfo
%{perl_vendorarch}/Net/Pcap.pm
%dir %{perl_vendorarch}/auto/Net/Pcap
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Pcap/Pcap.so
%{_mandir}/man1/pcapinfo.1p*
%{_mandir}/man3/Net::Pcap.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Pcap.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> bb0ceee
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 15d47b6
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 54778b9
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 831d137
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f6db565
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 840bf8e
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 885914b
- fix build on 32-bit archs

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 36acd1a
- up to 0.17

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ee88c88
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> cba5018
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 11c1d6f
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 26baee3
- release 4

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 3268209
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> b65e57d
- release 2

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> e8957ce
- .so perms, added Changes to doc

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 6496f3b
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 60544ca
- version 0.16

* Sun Dec 02 2007 Maciej Pijanka <agaran@pld-linux.org> 3e9500f
- up to 0.15, rel remain at 0.1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cffe53b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 275b320
- converted to UTF-8

